Subject: bug#43687: Web search should be customizable

From: Robert Weiner <[email-masked]>
Date: Tue, 29 Sep 2020 23:55:36 -0400

For now you can just directly edit the menus and then reload.  hui-menu.el
(pulldown menu) and hui-mini.el (minibuffer menu).
Maybe we should provide a convenience function for replacing a menu.  -- Bob

On Tue, Sep 29, 2020 at 1:12 AM Jean Louis <[email-masked]> wrote:

> In free software movement, we try to avoid non-free Javascript
> websites, so in my opinion, the web search should be customizable:
>
> > Amazon Bing Dictionary Elisp Google Hub(git) Images Maps RFCs
> >  StackOverflow Twitter Wikipedia Youtube F-Droid DuckDuckGo
>
> Examples how I would personally customize it:
>
> - I would myself put my self-hosted searx instance at first place, so
>   I would like to easily customize Hyperbole web search
>
> - Amazon and Bing I would remove for privacy and Javascript reasons
>
> - Hub(git) I would rename to call it Github as original
>
> - Images is unclear, yet it uses Google, I would modify it to use
>   Duckduckgo or other privacy search engine
>
> - Maps uses Google, I would use Openstreetmaps or other privacy search
>
> - I would remove Twitter and use GNU Social or Pleroma searches
>
> - I would remove YouTube and use other video search
>
> In general customization should contain:
>
> - Name of the search engine
>
> - the URL with some replacements for the search query, such as %s
>
> - the letter that should be upcased or its key press
>
> In general, Hyperbole should not hardcode various external resources.
>
> Jean
>
>
>
> I use:  Editor:      GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X
> toolkit, cairo version 1.14.8, Xaw3d scroll bars)
>
>         Hyperbole:   7.1.2
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>